#include <iostream>
#include <string.h>
#include <mysql.h>
#include "connection.h"
#include "result.h"
#include "row.h"
#include "lpsql.h"

using namespace std;

int main(int argc,char **argv){
  Connection *connection;
  char *pfield[1000];
  int i;
  
  char *path="RunCatalog/LPConf/(LPCalibPedestal)/LPCalibPedestal.mean0";
  int id=0;
  int num=1000;
  char field[1000][128];
  char constraint[]="version=0";
  for(i=0;i<num;i++){
    sprintf(field[i],"0.00");
    pfield[i]=field[i];
  }

/*
  char *path="RunCatalog.comment";
  int id=0;
  int num=1;
  char field[128];
  char constraint[]="";
  for(i=0;i<num;i++){
    sprintf(field,"SQL test");
    pfield[i]=field;
  }
*/

  //connect to server
  connection = new Connection((char*)sqlserver,"LP",(char*)sqluser,(char*)sqlpasswd);        
  lpsqlwrite(connection, path,id,pfield,constraint,num);

  //disconnect
  connection->Close();
  delete connection;
  return 0;
}
