#include <iostream>
#include <string.h>
#include <mysql.h>
#include "connection.h"
#include "result.h"
#include "row.h"
#include "lpsql.h"

using namespace std;

int main(int argc,char **argv){
  Connection *connection;
  Result     *result;
  Row        *row;
  
  // you can get a information with specifying path, id of the start point and id extension.    
  
  char *path="RunCatalog/XEConf/XEParam/XEGeometry.name";
  int id=7107;
  char id_extension[]="id";
  
    
  
  // '()' mark means group name.
  // '|' means that program follow "idx" instead of "id"  
/*
  char *path="RunCatalog/LPConf/(LPCalibPedestal)/LPCalibPedestal.mean0";
  char id_extension[]="id";
  int id=7107;
*/
  
/*
  char *path="RunCatalog/XEConf/XEParam/(XEAssign)/XEPmt|LPPmtModel.name";
  int id=7107;
  char id_extension[]="id";
*/

/*
  char *path="RunCatalog/LPConf/(LPAdc)/LPAdc|LPAdcModule|LPAdcModel.width";
  int id=7107;
  char id_extension[]="id";
*/

  // you can start from anywhere
/*
  char *path="XEConf/XEParam/(XEAssign)/XEGeometry.name";
  char id_extension[]="id";
  int id=7107;
*/

  // even from one table
/*
  char *path="LPPmtModel.name";
  int id = 1;
  char id_extension[]="idx";
*/

/*
  char *path="RunCatalog.id";
  int id=7107;
  char id_extension[]="id";
*/
  
/*
  char *path="RunCatalog/UTConf/UTParam/UTInfo.name";
  char id_extension[]="id";
  int id=7107;
*/

  //connect to server
  connection = new Connection((char*)sqlserver,"LP",(char*)sqluser,(char*)sqlpasswd);        

  //get data
  result = lpsqlread(connection,path,id,id_extension,1000);
  
  //show data
  int i;
  cout<<id_extension<<"\t"<<path<<endl<<"-----------------"<<endl;
  for(i=0;i<result->GetRowCount();i++){
    result->Next();
    row = result->GetCurrentRow();
    cout<<i<<"\t"<<row->GetField(1)<<endl;
  }

  //disconnect
  delete result;
  connection->Close();
  delete connection;
  return 0;
}
